For Developers
List CIDRs
GET https://ed.link/api/v2/teams/:team_id/origin_policies/:policy_id/cidrs
Returns all CIDR rules configured on the origin policy.
Permissions
Requires the origin_policy_cidrs.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:policy_id | UUID | Yes | The ID of the origin policy. |
Sample Request
const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/origin_policies/${policy_id}/cidrs`, {
headers: {
authorization: `Bearer ${user_session_token}`
}
});
Sample Response
{
"$data": [
{
"id": "18de75a1-4b12-4c8d-9011-30112fa50012",
"network": "192.168.1.0/24",
"outcome": "allowed",
"label": "Corporate Office",
"system_controlled": false,
"enabled": true
}
]
}
